Algorithm::HMM::Hit::Global(3pm)

NAME
Algorithm::HMM::Hit::Global - Object encapsulating information about a Hidden Markov Model global hit.

DESCRIPTION
The Algorithm::HMM::Hit::Global object encapsulates information about a global hit in the Hidden Markov Model. Unlike domain hits are matches against smaller subsequences in the model, a global hit indicates a match against the entire model.

METHODS
  $dhit->pvalue()
  $dhit->evalue()
  $dhit->score()

Returns the pvalue, evalue and score values respectively for the hit.

AUTHOR
The Algorithm::HMM package was originally written by Cory Spencer <cspencer@sfu.ca> of the Simon Fraser University Brinkman Laboratory. It is currently maintained by Matthew Laird <matt@brinkman.mbb.sfu.ca>.

SEE ALSO
Algorithm::HMM, Algorithm::HMM::Hit::Domain, Algorithm::HMM::Report